Scriptname LightArrowAutoAddScript extends activemagiceffect  

Ammo Property LightArrow Auto
Weapon Property LightBow Auto

Actor target

Event OnEffectStart(Actor akTarget, Actor akCaster)
	If (akTarget.GetItemCount(LightArrow) == 0)
		akTarget.AddItem(LightArrow, 20, true)
	ElseIf (akTarget.GetItemCount(LightArrow) < 11)
		akTarget.AddItem(LightArrow, 10, true)
	EndIf
	akTarget.EquipItem(LightArrow, False , True)
	target = akTarget
	
	RegisterForSingleUpdate(0)
EndEvent

Event OnUpdate()
	If (target.GetItemCount(LightArrow) < 11)
		target.AddItem(LightArrow, 10, true)
	EndIf
	
	If (!target.IsEquipped(LightArrow))
		target.EquipItem(LightArrow, False , True)
	EndIf
	
	If (!target.IsEquipped(LightBow))
		self.Dispel()
	EndIf
	
	RegisterForSingleUpdate(0)
EndEvent

Event OnEffectFinish(Actor akTarget, Actor akCaster)
	target.UnequipItem(LightArrow, False, True)
EndEvent